<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     version="1.0">
<xsl:output method="xml" omit-xml-declaration="yes" indent="no"/>
<?startSampleFile ?>
<!-- xq103.xsl: converts xq102.xml into xq104.txt -->

<xsl:template match="item[3]">
~~~~ Start of item element's template ~~~~
1. This node: {<xsl:apply-templates/>}
2. First node: {<xsl:value-of select="../item[1]"/>}
3. Last node: {<xsl:value-of select="../item[last()]"/>}
4. Preceding node: 
   {<xsl:value-of select="preceding-sibling::item[1]"/>}
5. Next node: {<xsl:value-of select="following-sibling::item[1]"/>}
6. flavor attribute value of first node: 
   {<xsl:value-of select="../item[1]/@flavor"/>}
~~~~ End of item element's template ~~~~
</xsl:template>

<?endSampleFile ?>

<!-- Dont bother with the other ones. -->
<xsl:template match="item"/>

</xsl:stylesheet>
