<?startSampleFile ?>
<!-- xq185.xsl: converts xq168.xml into xq187.xml -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     version="1.0">

<xsl:output omit-xml-declaration="yes"/>

<xsl:attribute-set name="lineAttrs">
  <xsl:attribute name="status">done</xsl:attribute>
  <xsl:attribute name="hue">
    <xsl:value-of select="@color"/>
  </xsl:attribute>
  <xsl:attribute name="number">
    <xsl:value-of select="amount"/>
  </xsl:attribute>
  <xsl:attribute name="sourceElement">
    <xsl:text>src</xsl:text><xsl:value-of select="generate-id()"/>
  </xsl:attribute>
</xsl:attribute-set>

<xsl:template match="verse">
  <xsl:element name="line" use-attribute-sets="lineAttrs">

    <!-- Add one more attribute to the ones in the "lineAttrs"
         group and override the value of another. -->
    <xsl:attribute name="author">BD</xsl:attribute>
    <xsl:attribute name="hue">NO COLOR</xsl:attribute>

    <xsl:apply-templates/>
  </xsl:element>
</xsl:template>

</xsl:stylesheet>
<?endSampleFile ?>
