<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     version="1.0">
<xsl:output method="xml" omit-xml-declaration="yes" indent="no"/>
<?startSampleFile ?>
<!-- xq290.xsl: converts xq289.xml into xq291.txt -->

<xsl:template match="poem">

  <xsl:choose>
    <xsl:when test="@year &lt; 1638">
	 The poem is one of Milton's earlier works.
    </xsl:when>

    <xsl:when test="@year &lt; 1650">
	 The poem is from Milton's middle period.
    </xsl:when>

    <xsl:when test="@year &lt; 1668">
	 The poem is one of Milton's later works.
    </xsl:when>

    <xsl:when test="@year &lt; 1675">
	 The poem is one of Milton's last works.
    </xsl:when>

    <xsl:otherwise>
      The poem was written after Milton's death.
    </xsl:otherwise>

  </xsl:choose>

</xsl:template>

<?endSampleFile ?>
</xsl:stylesheet>
