<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     version="1.0">
<xsl:output method="xml" omit-xml-declaration="yes" indent="no"/>
<?startSampleFile ?>
<!-- xq367.xsl: converts xq366.xml into xq368.txt -->

<xsl:template match="employees">
  <xsl:for-each select="employee">
  <xsl:sort select="salary" data-type="number"/>

    <xsl:if test="position() = 1">
      Lowest salary: <xsl:apply-templates/>
    </xsl:if>

    <xsl:if test="position() = last()">
      Highest salary: <xsl:apply-templates/>
    </xsl:if>

  </xsl:for-each>
</xsl:template>
<?endSampleFile ?>

</xsl:stylesheet>
