<?startSampleFile ?>
<!-- xq482.xsl: converts xq479.xml into xq483.txt -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     version="1.0">
  <xsl:output method="text"/>

  <xsl:key name="colorNumKey" match="color" use="@cid"/>
  <xsl:key name="colorKey" match="color" use="."/>

  <xsl:variable name="testVar">c4</xsl:variable>
  <xsl:variable name="keyName">colorKey</xsl:variable>

  <xsl:template match="colors">

	 Looking up the color name with the color ID:

	 c3's color: <xsl:value-of select="key('colorNumKey','c3')"/>

	 c4's color: <xsl:value-of select="key('colorNumKey',$testVar)"/>

	 c8's color: <xsl:value-of select="key('colorNumKey','c8')"/>

	 c7's colors: 
	 <xsl:for-each select="key('colorNumKey','c7')">
		<xsl:value-of select="."/><xsl:text> </xsl:text>
	 </xsl:for-each>

	 Looking up the color ID with the color name:

	 blue's cid: <xsl:value-of select="key('colorKey','blue')/@cid"/>

	 black's cid: <xsl:value-of select="key($keyName,'black')/@cid"/>

	 gray's cid: <xsl:value-of select="key('colorKey','gray')/@cid"/>

  </xsl:template>

  <!-- Don't bother outputting shirt contents for this example. -->
  <xsl:template match="shirt"/>

</xsl:stylesheet>
<?endSampleFile ?>
