<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     version="1.0">

<?startSampleFile ?>
<!-- xq49.xsl -->

<xsl:template match="wine">
  <wine vintage="{year}">
    <xsl:apply-templates select="product"/>
    <category><xsl:value-of select="@grape"/></category>
    <xsl:apply-templates select="price"/>
  </wine>
</xsl:template>

<?endSampleFile ?>

<xsl:template match="@*|node()|processing-instruction()|comment()">
  <xsl:copy>
    <xsl:apply-templates 
         select="@*|node()|processing-instruction()|comment()"/>
  </xsl:copy>
</xsl:template>

</xsl:stylesheet>
