<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     version="1.0">
  <xsl:output method="xml" omit-xml-declaration="yes"/>

<?startSampleFile ?>
<!-- xq499.xsl: converts xq494.xml into xq500.xml -->

  <xsl:template match="line">
    <xsl:variable name="contents" select="."/>
    <xsl:variable name="colorVal" select="@color"/>
    <xsl:if test = 
      "not(preceding::line[(. = $contents) and
           (@color = $colorVal)])">
      <xsl:copy>
        <xsl:apply-templates select="@*|node()"/>
      </xsl:copy>
    </xsl:if>
  </xsl:template>
<?endSampleFile ?>

  <xsl:template match="@*|node()">
    <xsl:copy>
      <xsl:apply-templates select="@*|node()"/>
    </xsl:copy>
  </xsl:template>

</xsl:stylesheet>
