<?startSampleFile ?>
<!-- xq578.xsl: converts xq580.xml into xq583.html. -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     version="1.0">

  <xsl:output method="html"/>

  <xsl:param name="bodyTextSize">10pt</xsl:param>

  <xsl:template match="/">
    <xsl:if test="$bodyTextSize != '10pt'">
      <xsl:message>bodyTextSize default value overridden
      with value of <xsl:value-of select="$bodyTextSize"/>.
      </xsl:message>
    </xsl:if>
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="winery">
    <b><font size="{$bodyTextSize}"><xsl:apply-templates/>
    <xsl:text> </xsl:text>
    <xsl:value-of select="../@grape"/></font></b><br/>
  </xsl:template>

  <xsl:template match="product">
    <i><font size="{$bodyTextSize}">
      <xsl:apply-templates/></font></i><br/>
  </xsl:template>

  <xsl:template match="year | price">
    <font size="{$bodyTextSize}"><xsl:apply-templates/></font><br/>
  </xsl:template>

</xsl:stylesheet>
<?endSampleFile ?>
