<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     version="1.0">
  <xsl:output method="html"/>

<?startSampleFile ?>
<!-- xq589.xsl: converts xq586.xml into xq590.html -->
  <xsl:template match="para">
    <h1>Unaccounted for para element</h1>
    <h2>Ancestors</h2>
    <xsl:for-each select="ancestor::*">
      <xsl:value-of select="name()"/>
      <xsl:if test="position() != last()">
        <xsl:text>, </xsl:text>
      </xsl:if>
	 </xsl:for-each>
    <h2>Content</h2>
    <xsl:apply-templates/>  
  </xsl:template>
<?endSampleFile ?>

  <xsl:template match="book">
    <html><body><xsl:apply-templates/></body></html>
  </xsl:template>

  <xsl:template match="title">
    <h1><xsl:apply-templates/></h1>
  </xsl:template>

  <xsl:template match="chapter/para">
    <p><font face="times"><xsl:apply-templates/></font></p>
  </xsl:template>

  <xsl:template match="appendix/para">
    <p><font face="arial"><xsl:apply-templates/></font></p>
  </xsl:template>

</xsl:stylesheet>
