<?startSampleFile ?>
<!-- xq610.xsl: converts xq610.xsl into xq611.txt -->
<!-- Must be run with the Saxon processor. -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     xmlns:saxon="http://icl.com/saxon"
     extension-element-prefixes="saxon"
     version="1.0">
<xsl:output method="xml" omit-xml-declaration="yes"/>

  <xsl:variable name="color" 
       saxon:assignable="yes">red</xsl:variable>

  <xsl:template match="/">

    <saxon:assign name="color">blue</saxon:assign>

    The color variable has the following value:
    <xsl:value-of select="$color"/>
  </xsl:template>

</xsl:stylesheet>
<?endSampleFile ?>
