<?startSampleFile ?>
<!-- xq620.xsl: converts xq621.xml into xq622.xml, xq623.xml -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     xmlns:xalan="http://xml.apache.org/xalan"
     exclude-result-prefixes="xalan"
     version="1.0">
<xsl:output method="xml" omit-xml-declaration="yes"/>

  <xsl:template match="employees">
    <table>
      <xsl:apply-templates/>
    </table>
  </xsl:template>

  <xsl:template match="employee">
    <row>
      <xsl:choose>
        <xsl:when test="function-available('xalan:tokenize')">
          <xsl:for-each select="xalan:tokenize(.,',')">
            <entry><xsl:value-of select="."/></entry>
          </xsl:for-each>
        </xsl:when>
        <xsl:otherwise>
          <entry><xsl:value-of select="."/></entry>
        </xsl:otherwise>
      </xsl:choose>
    </row>
  </xsl:template>

</xsl:stylesheet>
<?endSampleFile ?>
