<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     version="1.0">
<xsl:output method="xml" omit-xml-declaration="yes" indent="no"/>
<?startSampleFile ?>
<!-- xq125.xsl: converts xq124.xml into xq126.txt -->

<xsl:template match="employees">
  A. Number of employees: 
  <xsl:value-of select="count(employee)"/>
  B. Number of officers: 
  <xsl:value-of select="count(employee[@officer='yes'])"/>
  C. Number of employees without 'officer' attribute set: 
  <xsl:value-of select="count(employee[not(@officer)])"/>
  D. Number of comments in 'employees' element:
  <xsl:value-of select="count(//comment())"/>
</xsl:template>

<xsl:template match="employee"/>

<?endSampleFile ?>
</xsl:stylesheet>
