<?startSampleFile ?>
<!-- xq160.xsl: converts xq159.xml into xq161.txt -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     version="1.0">

  <xsl:output method="text"/>

  <xsl:template match="para[contains(.,'the')]">
    *** This para has "the" in it: ***
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="para">
    *** This para element not processed by other template: ***  
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="title"/> <!-- reduce output clutter -->
</xsl:stylesheet>
<?endSampleFile ?>
