<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     version="1.0">
<xsl:output method="xml" omit-xml-declaration="yes" indent="no"/>
<?startSampleFile ?>
<!-- xq327.xsl: converts xq326.xml into xq328.txt -->

<xsl:template match="a">

  <xsl:if test=". = 'full of Pomp and Gold'">
    1. a = "full of Pomp and Gold"
  </xsl:if>

  <xsl:if test=". = ../b">
    2. a = ../b
  </xsl:if>

  <xsl:if test=". = ../c">
    3. a = ../c
  </xsl:if>

  <xsl:if test=". != ../c">
    4. a != ../c
  </xsl:if>

  <xsl:if 
   test="translate(.,'abcdefghijklmnopqrstuvwxyz',
                     'ABCDEFGHIJKLMNOPQRSTUVWXYZ') = 
         translate(../c,'abcdefghijklmnopqrstuvwxyz',
                     'ABCDEFGHIJKLMNOPQRSTUVWXYZ')">
    5. a = ../c (ignoring case)
  </xsl:if>

  <xsl:if test=". = ../d">
    6. a = ../d
  </xsl:if>

  <xsl:if test=". = normalize-space(../d)">
    7. a = normalize-space(../d)
  </xsl:if>

</xsl:template>

<?endSampleFile ?>

  <xsl:template match="b|c|d"/> <!-- will just clutter up output -->

</xsl:stylesheet>

