<?startSampleFile ?>
<!-- xq503.xsl: converts xq502.xml into xq504.xml -->
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:fo="http://www.w3.org/1999/XSL/Format">

  <xsl:template match="/">

    <fo:root>

      <fo:layout-master-set>
        <fo:simple-page-master>
          <fo:region-body margin-top="36pt"
              margin-bottom="36pt" margin-left="36pt"
              margin-right="36pt"/>
        </fo:simple-page-master>
      </fo:layout-master-set>

      <fo:page-sequence>
        <fo:flow flow-name="xsl-region-body">
          <xsl:apply-templates/>
        </fo:flow>
      </fo:page-sequence>

    </fo:root>

  </xsl:template>


  <xsl:template match="verse">
    <fo:block font-size="10pt" font-family="Times">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>


  <xsl:template match="title">
    <fo:block font-size="14pt" font-weight="bold"
        space-before.optimum="12pt"
        space-after.optimum="12pt">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>


  <xsl:template match="prop"><!-- proper names -->
    <fo:inline font-style="italic">
      <xsl:apply-templates/>
    </fo:inline>
  </xsl:template>

</xsl:stylesheet>
<?endSampleFile ?>
