<?startSampleFile ?>
<!-- xq587.xsl: converts xq586.xml into xq588.html -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     version="1.0">
  <xsl:output method="html"/>


  <xsl:template match="chapter | appendix | afterword">
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="*">
    <h1><xsl:value-of select="name()"/> ELEMENT UNACCOUNTED 
      FOR BY STYLESHEET: <xsl:apply-templates/></h1>
  </xsl:template>

  <xsl:template match="book">
    <html><body><xsl:apply-templates/></body></html>
  </xsl:template>

  <xsl:template match="title">
    <h1><xsl:apply-templates/></h1>
  </xsl:template>

  <xsl:template match="chapter/para">
    <p><font face="times"><xsl:apply-templates/></font></p>
  </xsl:template>

  <xsl:template match="appendix/para">
    <p><font face="arial"><xsl:apply-templates/></font></p>
  </xsl:template>

</xsl:stylesheet>
<?endSampleFile ?>
