<?startSampleFile ?>
<!-- xq617.xsl: converts xq617.xsl to xq637.txt  -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     xmlns:saxon="http://icl.com/saxon"
     extension-element-prefixes="saxon"  
     version="1.0">
  <xsl:output method="xml" omit-xml-declaration="yes"/>

  <xsl:variable name="color" 
       saxon:assignable="yes">red</xsl:variable>

  <xsl:template match="/">

    <saxon:assign name="color">blue<xsl:fallback>
        <xsl:message>This XSLT processor doesn't support saxon:assign.
        </xsl:message></xsl:fallback></saxon:assign>

    The color variable has the following value:
    <xsl:value-of select="$color"/>
  </xsl:template>

</xsl:stylesheet>
<?endSampleFile ?>
