<?startSampleFile ?>
<!-- xq619.xsl: converts xq619.xsl  -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     xmlns:saxon="http://icl.com/saxon"
     extension-element-prefixes="saxon"  
     version="1.0">
<xsl:output method="xml" omit-xml-declaration="yes"/>

  <xsl:variable name="color" 
       saxon:assignable="yes">red</xsl:variable>


  <xsl:template match="/">

    <xsl:choose>
      <xsl:when test="element-available('saxon:assign')">
        <saxon:assign name="color">blue</saxon:assign>
      </xsl:when>
      <xsl:otherwise>
        <xsl:message>This XSLT processor doesn't support saxon:assign.
        </xsl:message>
      </xsl:otherwise>
    </xsl:choose>
    The color variable has the following value:
    <xsl:value-of select="$color"/>
  </xsl:template>

</xsl:stylesheet>
<?endSampleFile ?>
