<?startSampleFile ?>
<!-- xq629.xsl: converts xq36.xml -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
     version="6">


  <xsl:template match="title">
    <xsl:choose>
    <xsl:when test="system-property('xsl:version') >= 6"> 
      <xsl:odorama scent="new car"/>
      <xsl:scream>Hello World!</xsl:scream>
    </xsl:when>
    <xsl:otherwise>
      <xsl:message>
        This processor only supports version 
        <xsl:value-of select="system-property('xsl:version')"/> 
        of XSLT, so the odorama and scream elements
        are being skipped.
      </xsl:message>
    </xsl:otherwise>
    </xsl:choose>
    Title: <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="chapter/title">
    Chapter title: <xsl:apply-templates/>
  </xsl:template>

</xsl:stylesheet>
<?endSampleFile ?>

