<?startSampleFile ?>
<!-- xq630.xsl: converts xq36.xml -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
     version="6">


  <xsl:template match="title">
    <xsl:choose>
      <xsl:when test="element-available('xsl:odorama')">
        <xsl:odorama scent="new car"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:message>
          xsl:odorama element not supported.
        </xsl:message>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="element-available('xsl:scream')">
        <xsl:scream>Hello World!</xsl:scream>
      </xsl:when>
      <xsl:otherwise>
        <xsl:message>
          xsl:scream element not supported.
        </xsl:message>
      </xsl:otherwise>
    </xsl:choose>
    Title: <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="chapter/title">
    Chapter title: <xsl:apply-templates/>
  </xsl:template>

</xsl:stylesheet>
<?endSampleFile ?>

